#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	6.16
%define		qtver		6.5.0
%define		kfname		kwindowsystem

Summary:	Access to the windowing system
Name:		kf6-%{kfname}
Version:	6.16.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	257e0f9177950df8f9380d8b7cfe25a8
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Qml-devel >= %{qtver}
BuildRequires:	Qt6WaylandClient-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	libxcb-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	plasma-wayland-protocols-devel >= 1.15.0
BuildRequires:	qt6-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	wayland-protocols >= 1.21
BuildRequires:	xcb-util-keysyms-devel
BuildRequires:	xcb-util-wm-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libxkbcommon-devel
BuildRequires:	xz
Requires:	Qt6Core >= %{qtver}
Requires:	Qt6Gui >= %{qtver}
Requires:	Qt6Qml >= %{qtver}
Requires:	Qt6WaylandClient >= %{qtver}
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
Convenience access to certain properties and features of the windowing
system.

KWindowSystem provides information about the windowing system and
allows interaction with the windowing system. It provides an high
level API which is windowing system independent and has platform
specific implementations. This API is inspired by X11 and thus not all
functionality is available on all windowing systems.

In addition to the high level API, this framework also provides
several more low level classes for interaction with the X Windowing
System.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Widgets-devel >= %{qtver}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5_qt --with-qm --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5_qt.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF6WindowSystem.so.6
%attr(755,root,root) %{_libdir}/libKF6WindowSystem.so.*.*
%dir %{_libdir}/qt6/plugins/kf6/kwindowsystem
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kwindowsystem/KF6WindowSystemX11Plugin.so
%{_datadir}/qlogging-categories6/kwindowsystem.renamecategories
%{_datadir}/qlogging-categories6/kwindowsystem.categories
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kwindowsystem/KF6WindowSystemKWaylandPlugin.so
%dir %{_libdir}/qt6/qml/org/kde/kwindowsystem
%{_libdir}/qt6/qml/org/kde/kwindowsystem/KWindowSystem.qmltypes
%{_libdir}/qt6/qml/org/kde/kwindowsystem/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kwindowsystem/libKWindowSystem.so
%{_libdir}/qt6/qml/org/kde/kwindowsystem/qmldir

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KWindowSystem
%{_libdir}/cmake/KF6WindowSystem
%{_libdir}/libKF6WindowSystem.so
%{_pkgconfigdir}/KF6WindowSystem.pc
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kwindowsystem.git;a=log;h=master

* Fri Jul 11 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 65c387a
- updated to 6.16.0

* Fri Jun 13 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c6e63c1
- updated to 6.15.0

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 34eb7c7
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3643b1a
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a0fee4e
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 8f41d31
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6f8bcba
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 716b55f
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bd856b3
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 63ed147
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 04bf3ad
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 672a64c
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7a00887
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 77ee464
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6b66083
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ddcb49b
- Obsolete kf5

* Sun May 12 2024 Jan Palus <atler@pld-linux.org> 6ec9497
- update deps

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 18a80ff
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 32981ca
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 010cb74
- updated to 6.0.0

